Bug 1198 - installer shouldn\'t try to use Solaris partitions as swap
: installer shouldn\'t try to use Solaris partitions as swap
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/installer)
: unstable
: all Linux
: P4 enhancement
Assigned To:
:
:
:
:
: 7371 14168
  Show dependency tree
 
Reported: 2002-08-13 13:41 by
Modified: 2008-03-13 12:29 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


------- Comment #1 From 2004-05-14 17:41:50 -------
на мантейнера 
 
------- Comment #2 From 2004-05-14 18:22:31 -------
Это еще воспроизводится ?
------- Comment #3 From 2004-05-14 19:10:06 -------
Без понятия.  Это Вагнер жаловался, а я только запроксил.

Может, тыкать в него fstyp'ом (в своем инсталере -- mdk'шный лечить вряд ли
выйдет, да и вряд ли стоит -- сколько таких систем стоит, по пальцам)
------- Comment #4 From 2004-07-01 20:35:41 -------
reassign
------- Comment #5 From 2004-07-01 20:39:37 -------
ой, братцы, ну как жеж Витуса без любимой баги оставить-то.
вы еще про /boot в полпикселя вспомните
------- Comment #6 From 2004-07-01 20:40:31 -------
А то! :-)
------- Comment #7 From 2004-07-01 20:41:35 -------
PS: строго говоря, это вешалось как FR на _новый_ инсталер!  Понятно, что в
кошмаре на улице пикселей это фиксить не надо.
------- Comment #8 From 2004-07-01 20:43:27 -------
отрадно, что есть понимание нелегкой доли

------- Comment #9 From 2005-04-29 22:38:28 -------
кажется, время пришло ;-)
------- Comment #10 From 2005-05-03 12:33:24 -------
кстати, есть мнение закрыть с обоснованием 'fixed in solaris' :)
------- Comment #11 From 2005-05-03 13:26:41 -------
оно действительно fixed in solaris.
------- Comment #12 From 2005-05-03 14:49:53 -------
круто :)

вот только для полной замечательности каким-нить fstyp'ом бы пробегать или перед
тем, как форматировать своп, проверять его swapon'ом на крайняк -- помимо
последней солярки, есть ещё пред- и предпредпоследняя...

давайте later?
------- Comment #13 From 2005-05-07 20:37:16 -------
давайте
------- Comment #14 From 2006-02-17 15:35:08 -------
на всякий напоминаю для 3.1
------- Comment #15 From 2008-02-15 23:45:44 -------
для инсталлера 4.0 и далее неактуально, поскольку распознавание
происходит по содержимому раздела (делается попытка найти
суперблок swap'а), а не по типу раздела.
fixed, надо полагать.
------- Comment #16 From 2008-02-15 23:46:19 -------
fixed in alterator-vm
------- Comment #17 From 2008-02-16 01:32:44 -------
ack